package com.fjhx.wms.service.manual;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.manual.dto.ManualStockDto;
import com.fjhx.wms.entity.manual.dto.ManualStockSelectDto;
import com.fjhx.wms.entity.manual.po.ManualStock;
import com.fjhx.wms.entity.manual.vo.ManualStockVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 手动出入库记录 服务类
 * </p>
 *
 * @author
 * @since 2024-04-24
 */
public interface ManualStockService extends BaseService<ManualStock> {

    /**
     * 手动出入库记录分页
     */
    Page<ManualStockVo> getPage(ManualStockSelectDto dto);

    ManualStockVo detail(Long id);

    /**
     * 手动出入库记录新增
     */
    void add(ManualStockDto manualStockDto);

    void cancellation(Long businessId);
}
