package com.fjhx.sale.entity.purchase;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@ExcelIgnoreUnannotated
public class EhsdPurchaseExcelBo {
    @ColumnWidth(15)
    @ExcelProperty("业务公司")
    private String companyName;
    @ColumnWidth(15)
    @ExcelProperty("采购单号")
    private String code;
    @ColumnWidth(15)
    @ExcelProperty("供应商")
    private String sellCorporationName;
    @ColumnWidth(15)
    @ExcelProperty("采购金额")
    private BigDecimal amount;
    @ColumnWidth(15)
    @ExcelProperty("退货金额")
    private BigDecimal backAmount;
    @ColumnWidth(15)
    @ExcelProperty("应付金额")
    private BigDecimal payableAmount;
    @ColumnWidth(15)
    @ExcelProperty("已付款金额")
    private BigDecimal sumPayMoney;
    @ColumnWidth(15)
    @ExcelProperty("采购状态")
    private String status;
    @ColumnWidth(15)
    @ExcelProperty("付款状态")
    private String payStatus;
    @ColumnWidth(15)
    @ExcelProperty("采购人")
    private String userName;
    @ColumnWidth(18)
    @ExcelProperty("采购时间")
    private Date createTime;
}
